---
title: Matej Kobyľan
published: true
taxonomy:
    category: [bp2023]
    tag: [ir]
    author: Daniel Hladek
---

rok začiatku štúdia: 2020

# Bakalárska práca 2023

Systém pre monitoring médií

Práca súvisí s [DP Michal Stromko](/students/2019/michal_stromko)

Návrh na zadanie:

- Navrhnite a implementuje systém pre extrakciu textu a metainfrmácií z webových stránok alebo sociálnych sietí
- Modifikujte agenta pre získavanie textu tak aby do databázy ukladal sledované webové stránky v pravidelných intervaloch.
- Aplikujte neurónovú sieť na klasifikáciu získaných článkov.

Analýza úlohy:

Chceme vytvoriť databázu novinových článkov. 

Pre článok chceme evidovať:

- zdroj
- autor
- titulok
- text rozdelený na odseky
- odkazy na iné články
- autorská sekcia
- autorské tagy alebo kľúčové slovíčka.
- perex
- dátum vydania.
- pôvodné html

Ku databáze chceme vytvoriť agenta ktorý by v pravidelnýchh intervaloch dopĺňal nové články. Agenta pre zber textu stačí modifikovať. 

Ku databáze chceme vytvoriť webové rozhranie.

V databáze chceme vedieť vyhľadávať. 

Chceme vedieť automaticky zistiť tému článku.

Chceme automaticky zistiť sumár článku.

Úlohy:

- Vypracujte prehľad literatúry na tému "Monitorovanie médií".
- Vyberte vhodnú databázu.
    - Postgres, Cassandra.
- Navrhnite schému.
- Modifikujte agenta pre zber textu.
- Implementujte webové rozhranie na prístup k databáze. 
